### Function

# FwupdPlugin Firmware strparse_uint16_safe

#### Declaration [src]

    gboolean
    fu_firmware_strparse_uint16_safe (
      const gchar* data,
      gsize datasz,
      gsize offset,
      guint16* value,
      GError** error
    )

#### Description [src]

Parses a base 16 number from a string of 4 characters in length. The returned `value` will range from 0 to 0xffff.

Available since: | 1.5.6

#### Parameters

`data` | `const gchar*`
| Destination buffer.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`datasz` | `gsize`
| Size of `data`, typically the same as `strlen(data)`
`offset` | `gsize`
| Offset in chars into `data` to read.
`value` | `guint16*`
| Parsed value.
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if parsed, `FALSE` otherwise.